.SUFFIXES: .o .ec .c .4gl .4ge .42m .42r .42a .per .42f .msg .iem 

4GL=menuglob.4gl menuMain.4gl

FORM=menLogin.per menuBlank.per menprogbar.per

PROG_NAME=menu_dina.4ge

LIB=$(BASEDIR)/src/libGral/libGral.42x

COBJS=$(4GL:.4gl=.o)

POBJS=$(4GL:.4gl=.42m)

CFORM=$(FORM:.per=.42f)

RDS_NAME=$(PROG_NAME:.4ge=.42r)

CCODE:	$(COBJS)
		c4gl -o $(PROG_NAME) $(COBJS)
		@- echo "Finished compiling ccode..."

PCODE:	$(POBJS)
		fgl2p -o $(RDS_NAME) $(POBJS) $(LIB) $(GLIB)
		cp *42r *42m $(BASEDIR)/bin
		@- echo "Finished compiling pcode..."

FORM:	$(CFORM)
		cp *42f $(BASEDIR)/frms/.
		@- echo "Finished compiling forms..."

clean:
	rm *.42?

.4gl.42m:
		fgl2p $*.4gl

.4gl.o:
		c4gl -c $*.4gl
		@- rm -f $*.c $*.ec

.per.42f:
		fglform -s $*.per
